<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ldt.channel.mapper.PointChannelMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="pointChannelResultMap" type="org.springblade.modules.ldt.channel.entity.PointChannel">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="point_value" property="pointValue"/>
        <result column="sort" property="sort"/>
        <result column="type" property="type"/>
        <result column="relation_id" property="relationId"/>
    </resultMap>


    <select id="selectPointChannelPage" resultMap="pointChannelResultMap">
        select * from ldt_point_channel where is_deleted = 0
    </select>

</mapper>
